Icedove version in Trisquel repo is obsolete

Project:Trisquel
Version:8.0
Component:Programs
Category:bug report
Priority:critical
Assigned:Unassigned
Status:active
Description

Trisquel pulls its Icedove from Debian wheezy. Icedove in Trisquel repo is 38.8.0-1~deb7u1.1+7.0trisquel2 while the upstream version is 45.4.0esr-1~deb7u2.

I suppose the problem is because of the deb-src URL in the package helper.

Wed, 11/30/2016 - 22:19
Assigned to:anonymous» mixalis_t
Status:active» patch (ready)

https://devel.trisquel.info/trisquel/package-helpers/merge_requests/165/

Thu, 02/23/2017 - 15:11
Tue, 03/28/2017 - 11:26
Assigned to:mixalis_t» anonymous
Status:patch (ready)» active
Tue, 03/28/2017 - 11:33

Building fails with this error: /usr/lib/i386-linux-gnu/libc_nonshared.a(stack_chk_fail_local.oS): In function `__stack_chk_fail_local':
(.text+0x10): undefined reference to `__stack_chk_fail'

Tue, 05/15/2018 - 08:48
Tue, 11/26/2019 - 21:43
Version:7.0» 8.0

This issue is still actual for Trisquel 8.0 according to a recent forum post https://trisquel.info/en/forum/thunderbird-install-instead-icedove-trisquel8. Not sure if there are any exploitable security bugs in non-browser contexts.